// -*- mode: C++; tab-width: 2; -*-
// vi: set ts=2:
//
// --------------------------------------------------------------------------
//                   OpenMS Mass Spectrometry Framework
// --------------------------------------------------------------------------
//  Copyright (C) 2003-2011 -- Oliver Kohlbacher, Knut Reinert
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------
// $Maintainer: Timo Sachsenberg $
// $Authors: Marc Sturm $
// -------------------------------------------------------------------------- 

#include <OpenMS/VISUAL/LayerData.h>

using namespace std;

namespace OpenMS
{
	const std::string LayerData::NamesOfLabelType[] = {"None","Index","Label meta data","Peptide identification","All peptide identifications"};

  const LayerData::ExperimentType::SpectrumType& LayerData::getCurrentSpectrum() const
  {
      return (*peaks)[current_spectrum_];
  }

	std::ostream& operator << (std::ostream& os, const LayerData& rhs)
	{
		os << "--LayerData BEGIN--"<<std::endl;
		os << "name: " << rhs.name << std::endl;
		os << "visible: " << rhs.visible << std::endl;
                os << "number of peaks: " << rhs.getPeakData()->getSize() << std::endl;
		os << "--LayerData END--"<<std::endl;
		return os;
            }
}//Namespace

